<?php
function eh($a,$b,$c,$d,$e) {
	$error_mapping=array(
		E_ERROR=>'Fatal error',
		E_WARNING=>'Warning',
		E_PARSE=>'Parse error',
		E_NOTICE=>'Notice',
		E_USER_ERROR=>'Fatal error',
		E_USER_WARNING=>'Warning',
		E_USER_NOTICE=>'Notice',
		E_STRICT=>'Strict warning',
		E_RECOVERABLE_ERROR=>'Recoverable error',
		E_DEPRECATED=>'Deprecated',
		E_USER_DEPRECATED=>'Deprecated'
	);
	if($a!=E_NOTICE&&$a!=E_USER_NOTICE)
		echo '[!]'.$error_mapping[$a].': '.$b.' in '.$c.' on line '.$d.PHP_EOL;
	return true;
}
set_error_handler('eh',-1);
/**
 * This is the installer itself. It does al the dirty work
 */
echo "<pre><h1>RemoteCP Panel Upgrade</h1>".PHP_EOL;
$rand='upgrade_'.mt_rand();

mkdir($rand);
echo "[init]Directory $rand created".PHP_EOL;
chdir($rand);
echo "[init]Changing directory to $rand".PHP_EOL;
foreach($DIRECTORIES as $dir) {
	echo "[dep][dir][$dir]Creating directory $dir...";
	if(!file_exists($dir))
	mkdir($dir);
	echo "Done".PHP_EOL;
}
foreach($FILES as $filename => $contents) {
	echo "[dep][file][$filename]Creating file $filename...";
	echo "Decompressing...";
	$contents=gzuncompress(base64_decode($contents));
	echo "Writing...";
	file_put_contents($filename,$contents);
	echo "Done".PHP_EOL;
}
echo "[init]Changing directory to ..".PHP_EOL;
chdir('..');
echo "[init]Starting upgrade script".PHP_EOL;
require($rand.'/upgrade.php');
echo "[rem]Changing directory to $rand".PHP_EOL;
chdir(__DIR__.'/'.$rand);
foreach($FILES as $filename=>$void) { //Now remove all files
	echo "[rem][file][$filename]Unlinking file $filename...";
	unlink($filename);
	echo "Done".PHP_EOL;
}
$dirs=array_reverse($DIRECTORIES);
foreach($dirs as $dir) { //Now remove all directories
	echo "[rem][dir][$dir]Removing directory $dir...";
	rmdir($dir);
	echo "Done".PHP_EOL;
}
echo "[rem]Unlinking self...";
unlink(__FILE__); //Bye, going out
echo "Done".PHP_EOL;
echo "[init]Upgrade completed!";
echo "</pre>";