DROP TABLE `active_guests`;
DROP TABLE `active_users`;
DROP TABLE `sessions`;
ALTER TABLE  `api_keys` ADD  `user` CHAR( 36 ) NOT NULL;
CREATE TABLE IF NOT EXISTS `messages_main` (
  `mid` int(12) unsigned NOT NULL AUTO_INCREMENT,
  `sender` char(36) NOT NULL,
  `subject` text NOT NULL,
  `content` blob NOT NULL,
  `date` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
  PRIMARY KEY (`mid`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;
CREATE TABLE IF NOT EXISTS `messages_receivers` (
  `mid` int(10) unsigned NOT NULL,
  `receiver` char(36) NOT NULL,
  `read` tinyint(1) unsigned NOT NULL DEFAULT '0',
  `del` tinyint(1) unsigned NOT NULL DEFAULT '0',
  `pdel` tinyint(1) unsigned NOT NULL DEFAULT '0',
  PRIMARY KEY (`mid`,`receiver`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;
ALTER TABLE  `remote_databases` ADD  `api_link` VARCHAR( 36 ) NOT NULL;
ALTER TABLE `remote_databases` ADD `title` VARCHAR( 60 ) NOT NULL DEFAULT '' AFTER `password`;
UPDATE `remote_databases` SET `title`=CONCAT(`user`,'@',`host`,'/',`database`);
ALTER TABLE  `remote_databases_assignments` ADD  `user` CHAR( 36 ) NOT NULL AFTER  `key`;
ALTER TABLE  `remote_databases_assignments` DROP PRIMARY KEY ,
ADD PRIMARY KEY (  `key` ,  `user` );
ALTER TABLE  `remote_databases_assignments` CHANGE  `key`  `key` CHAR( 32 ) CHARACTER SET latin1 COLLATE latin1_swedish_ci NOT NULL;
TRUNCATE TABLE `serv_log`;
ALTER TABLE  `serv_log` CHANGE  `user`  `user` CHAR( 36 ) CHARACTER SET latin1 COLLATE latin1_general_ci NOT NULL;

ALTER TABLE  `users` ADD  `GUID` CHAR( 36 ) NOT NULL FIRST;
UPDATE `users` SET `GUID`=UUID();
ALTER TABLE  `users` DROP PRIMARY KEY , ADD PRIMARY KEY (  `GUID` );
CREATE TABLE  IF NOT EXISTS `_system_` (
`name` VARCHAR( 30 ) NOT NULL ,
`value` VARCHAR( 100 ) BINARY NOT NULL ,
PRIMARY KEY (  `name` )
) ENGINE = MYISAM ;
INSERT INTO `_system_` VALUES('db_version','0');
