<?php
require_once('inc/sitemgmt/constants.php');
chdir(__DIR__);
$q0=$local_connection->query('SELECT * FROM `_system_` WHERE `name`="db_version"');
if(!!$q0) { //Table exists
	$db_version=$q0->fetch_object()->value;
	if($db_version=='running') {
		echo "[up]<b style='color: red'>Upgrade is already running, or database is in limbo</b>".PHP_EOL;
		echo "[up]Upgrade cancelled".PHP_EOL;
		return;
	}
	if(version_compare($db_version, '2','>=')) {
		echo "[up]Your database is version $db_version, this upgrade is for database versions < 2.x".PHP_EOL;
		echo "[up]<b style='color: red'>Upgrade cancelled, your database is up to date</b>".PHP_EOL;
		return;
	}
	else {
		echo "[up]Database is not yet upgraded, starting upgrade".PHP_EOL;
	}
}
$local_connection->query('UPDATE `_system_` SET `value`=\'running\' WHERE `name`=\'db_version\'');
echo "[up]Loading query file".PHP_EOL;
$sql=file_get_contents('upgrade.sql');
$queries=explode(';
',$sql);
$queryno=0;
$totalq=count($queries);
foreach($queries as $query) {
	$query=str_replace("\n","",$query);
	$query=str_replace("\r","",$query);
	if(trim($query)=='') continue;
	$queryno++;
	echo "[up][q]Executing query $queryno of $totalq".PHP_EOL;
	if(!$local_connection->query($query))
		echo "[up][q]<b style='color:red'>Query $queryno failed</b>".PHP_EOL;
}
echo "[up]Upgrading api_keys table".PHP_EOL;
require('parts/api_keys.php');
echo "[up]Upgrading messages table".PHP_EOL;
require('parts/messages.php');
echo "[up]Upgrading remote_databases_assignments table".PHP_EOL;
require('parts/remote_databases_assignments.php');
echo "[up]Updating database version".PHP_EOL;
$local_connection->query('UPDATE `_system_` SET `value`=\'2\' WHERE `name`=\'db_version\'');